Package org.apache.ignite.internal

## Class ThreadLocalDirectByteBuffer

- java.lang.Object
- - java.lang.ThreadLocal<ByteBuffer>
  - - org.apache.ignite.internal.ThreadLocalDirectByteBuffer

    public class ThreadLocalDirectByteBuffer
    extends ThreadLocal<ByteBuffer>

Thread local direct byte buffer.

### Constructor Summary

Constructors
`ThreadLocalDirectByteBuffer()`
`ThreadLocalDirectByteBuffer​(int size)`
`ThreadLocalDirectByteBuffer​(int size, ByteOrder order)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ByteBuffer` `allocateDirectBuffer​(int capacity)`
`ByteBuffer` `get()`
`ByteBuffer` `get​(int capacity)`
`protected ByteBuffer` `initialValue()`

### Methods inherited from class java.lang.ThreadLocal

`remove, set, withInitial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadLocalDirectByteBuffer

    public ThreadLocalDirectByteBuffer()

#### ThreadLocalDirectByteBuffer

    public ThreadLocalDirectByteBuffer​(int size)

#### ThreadLocalDirectByteBuffer

    public ThreadLocalDirectByteBuffer​(int size,
                                       ByteOrder order)

### Method Detail

#### initialValue

    protected ByteBuffer initialValue()

Overrides:
  `initialValue` in class `ThreadLocal<ByteBuffer>`

#### get

    public ByteBuffer get​(int capacity)

#### get

    public ByteBuffer get()

Overrides:
  `get` in class `ThreadLocal<ByteBuffer>`

#### allocateDirectBuffer

    protected ByteBuffer allocateDirectBuffer​(int capacity)